com.mockobjects.jms

## Class MockQueueConnectionFactory

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.jms.MockQueueConnectionFactory

All Implemented Interfaces:
  Verifiable

    public class MockQueueConnectionFactory
    extends MockObject

### Constructor Summary

Constructors
Constructor and Description
`MockQueueConnectionFactory()`

### Method Summary

Methods
`QueueConnection` `createQueueConnection()`
`QueueConnection` `createQueueConnection(java.lang.String userName, java.lang.String password)`
`void` `setExpectedPassword(java.lang.String password)`
`void` `setExpectedUserName(java.lang.String userName)`
`void` `setupQueueConnection(QueueConnection queueConnection)`
`void` `setupThrowException(JMSException e)`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MockQueueConnectionFactory

    public MockQueueConnectionFactory()

### Method Detail

#### createQueueConnection

    public QueueConnection createQueueConnection()
                                          throws JMSException

Throws:
  `JMSException`

#### createQueueConnection

    public QueueConnection createQueueConnection(java.lang.String userName,
                                        java.lang.String password)
                                          throws JMSException

Throws:
  `JMSException`

#### setExpectedUserName

    public void setExpectedUserName(java.lang.String userName)

#### setExpectedPassword

    public void setExpectedPassword(java.lang.String password)

#### setupQueueConnection

    public void setupQueueConnection(QueueConnection queueConnection)

#### setupThrowException

    public void setupThrowException(JMSException e)